# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-08-09 17:04
from __future__ import unicode_literals

import arcgis_marketplace.fields
import core_flavor.models
from django.conf import settings
import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import sorl.thumbnail.fields
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0002_auto_20150616_2121'),
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('orders_flavor', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('removed', models.DateTimeField(blank=True, null=True, verbose_name='removed')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('avatar', sorl.thumbnail.fields.ImageField(blank=True, upload_to=core_flavor.models.UUIDUploadTo('arcgis/thumbnails/%Y/%m/'), verbose_name='avatar')),
                ('expired', models.DateTimeField(null=True)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField()),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='GenericUUIDTaggedItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.UUIDField(editable=False)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='arcgis_marketplace_genericuuidtaggeditem_tagged_items', to='contenttypes.ContentType', verbose_name='Content type')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='arcgis_marketplace_genericuuidtaggeditem_items', to='taggit.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ItemInAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('arcgis_item', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='arcgis item')),
                ('arcgis_group', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='arcgis group')),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items_in_account', to='arcgis_marketplace.Account', verbose_name='account')),
            ],
        ),
        migrations.CreateModel(
            name='WebMapingApp',
            fields=[
                ('item_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='orders_flavor.Item')),
                ('youtube_url', models.CharField(blank=True, max_length=200, validators=[django.core.validators.RegexValidator(message='Invalid youtube url', regex='^(https?\\:\\/\\/)?(www\\.youtube\\.com|youtu\\.?be)\\/.+$')])),
                ('purpose', models.CharField(choices=[('ready_to_use', 'Ready to use'), ('configurable', 'Configurable'), ('self_configurable', 'Self configurable'), ('code_sample', 'Code sample')], max_length=32, verbose_name='purpose')),
                ('configuration', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='configuration')),
                ('api', models.CharField(choices=[('javascript', 'Javascript'), ('flex', 'Flex'), ('silverlight', 'Silverlight'), ('web_adf', 'Web ADF'), ('other', 'Other')], max_length=32, verbose_name='api')),
                ('file', arcgis_marketplace.fields.CompressField(upload_to=core_flavor.models.UUIDUploadTo('arcgis/items/%Y/%m/'))),
                ('preview', arcgis_marketplace.fields.SymlinkField(blank=True, source='file', verbose_name='preview')),
                ('url_query', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='Url query string')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='arcgis_marketplace.Account', verbose_name='owner')),
                ('tags', taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='arcgis_marketplace.GenericUUIDTaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'abstract': False,
            },
            bases=('orders_flavor.item',),
        ),
        migrations.AddField(
            model_name='iteminaccount',
            name='item',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders_flavor.Item', verbose_name='item'),
        ),
        migrations.AddField(
            model_name='iteminaccount',
            name='order',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='orders_flavor.Order', verbose_name='order'),
        ),
        migrations.AddField(
            model_name='account',
            name='items',
            field=models.ManyToManyField(through='arcgis_marketplace.ItemInAccount', to='orders_flavor.Item', verbose_name='items'),
        ),
        migrations.AddField(
            model_name='account',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
    ]
